﻿using System;
using System.Collections.Generic;

namespace KinoPoisk
{
    public partial class Film
    {
        public Film()
        {
            MovieSessions = new HashSet<MovieSession>();
            Tickets = new HashSet<Ticket>();
        }

        public int Id { get; set; }
        public string NameFilm { get; set; } = null!;
        public DateTime YearFilm { get; set; }
        public string GanreFilm { get; set; } = null!;
        public string? Discript { get; set; }
        public string DurationFilm { get; set; } = null!;

        public virtual ICollection<MovieSession> MovieSessions { get; set; }
        public virtual ICollection<Ticket> Tickets { get; set; }
    }
}
